"""Python 2/3 compatibility module."""

import sys


if sys.version_info[0] < 3:
    iteritems = lambda x: iter(x.items())
    iterkeys = lambda x: iter(x.keys())
    itervalues = lambda x: iter(x.values())
    dict_items = lambda x: list(x.items())
    dict_keys = lambda x: list(x.keys())
    dict_values = lambda x: list(x.values())
    u = lambda x: str(x)
    as_bytestring = lambda x: x
    maxsize = sys.maxsize
    str = str
else:
    iteritems = lambda x: list(x.items())
    iterkeys = lambda x: list(x.keys())
    itervalues = lambda x: list(x.values())
    dict_items = lambda x: list(x.items())
    dict_keys = lambda x: list(x.keys())
    dict_values = lambda x: list(x.values())
    as_bytestring = lambda x: x.encode('utf-8')
    u = lambda x: x
    maxsize = sys.maxsize
    str = str
